<?php

class default_navbar extends SYSTEM\PAGE\Page {
    
    private function js(){return  '';}      
    private function css (){return   '';}

    public function html(){
        $vars = array();               
        $vars['js'] = $this->js();
        $vars['css'] = $this->css();
        $vars['PICPATH'] = \SYSTEM\WEBPATH(new PPAGE(), 'default_navbar/img/');
        $vars = array_merge($vars,  \SYSTEM\locale::getStrings(DBD\locale_string::VALUE_CATEGORY_MAINPAGE));
        return  \SYSTEM\SECURITY\Security::isLoggedIn() ?
                SYSTEM\PAGE\replace::replaceFile(SYSTEM\SERVERPATH(new PPAGE(),'default_navbar/user_navbar.tpl'), $vars) :
                SYSTEM\PAGE\replace::replaceFile(SYSTEM\SERVERPATH(new PPAGE(),'default_navbar/wizard_navbar.tpl'), $vars);        
    }
}